import Home from "./views/Home.vue";
import Register from "./views/Register.vue";
import Profile from "./views/Profile.vue";
import ProfileNone from "./views/ProfileNone.vue";

// console.log(config);

/** @type {import('vue-router').RouterOptions['routes']} */
export const routes = [
	{ path: "/", component: Home },
	{ path: "/register", component: Register },
	{ path: "/register/", component: Register },
	{ path: "/register/:token", component: Register, props: true },
	{ path: "/profile", component: Profile },
	{ path: "/profile/", component: ProfileNone },
	{ path: "/profile/:token", component: Profile, props: true },
];
